GNU Radio C++ API Reference: pmt::pmt_base Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
pmt::pmt_base Class Reference

base class of all pmt types More...

`#include <pmt/pmt.h>`

## Public Member Functions
| pmt_base ()
| pmt_base (const pmt_base &)=delete
virtual | ~pmt_base ()
virtual bool | is_bool () const
virtual bool | is_symbol () const
virtual bool | is_number () const
virtual bool | is_integer () const
virtual bool | is_uint64 () const
virtual bool | is_real () const
virtual bool | is_complex () const
virtual bool | is_null () const
virtual bool | is_pair () const
virtual bool | is_tuple () const
virtual bool | is_vector () const
virtual bool | is_dict () const
virtual bool | is_any () const
virtual bool | is_uniform_vector () const
virtual bool | is_u8vector () const
virtual bool | is_s8vector () const
virtual bool | is_u16vector () const
virtual bool | is_s16vector () const
virtual bool | is_u32vector () const
virtual bool | is_s32vector () const
virtual bool | is_u64vector () const
virtual bool | is_s64vector () const
virtual bool | is_f32vector () const
virtual bool | is_f64vector () const
virtual bool | is_c32vector () const
virtual bool | is_c64vector () const

## Detailed Description

base class of all pmt types

## Constructor & Destructor Documentation

## ◆ pmt_base() [1/2]

pmt::pmt_base::pmt_base | ( |  | ) |
| inline

Referenced by pmt_base().

## ◆ pmt_base() [2/2]

pmt::pmt_base::pmt_base | ( | const pmt_base & |  | ) |
| delete

References pmt_base().

## ◆ ~pmt_base()

virtual pmt::pmt_base::~pmt_base | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ is_any()

virtual bool pmt::pmt_base::is_any | ( |  | ) | const
| inlinevirtual

## ◆ is_bool()

virtual bool pmt::pmt_base::is_bool | ( |  | ) | const
| inlinevirtual

## ◆ is_c32vector()

virtual bool pmt::pmt_base::is_c32vector | ( |  | ) | const
| inlinevirtual

## ◆ is_c64vector()

virtual bool pmt::pmt_base::is_c64vector | ( |  | ) | const
| inlinevirtual

## ◆ is_complex()

virtual bool pmt::pmt_base::is_complex | ( |  | ) | const
| inlinevirtual

## ◆ is_dict()

virtual bool pmt::pmt_base::is_dict | ( |  | ) | const
| inlinevirtual

## ◆ is_f32vector()

virtual bool pmt::pmt_base::is_f32vector | ( |  | ) | const
| inlinevirtual

## ◆ is_f64vector()

virtual bool pmt::pmt_base::is_f64vector | ( |  | ) | const
| inlinevirtual

## ◆ is_integer()

virtual bool pmt::pmt_base::is_integer | ( |  | ) | const
| inlinevirtual

## ◆ is_null()

virtual bool pmt::pmt_base::is_null | ( |  | ) | const
| inlinevirtual

## ◆ is_number()

virtual bool pmt::pmt_base::is_number | ( |  | ) | const
| inlinevirtual

## ◆ is_pair()

virtual bool pmt::pmt_base::is_pair | ( |  | ) | const
| inlinevirtual

## ◆ is_real()

virtual bool pmt::pmt_base::is_real | ( |  | ) | const
| inlinevirtual

## ◆ is_s16vector()

virtual bool pmt::pmt_base::is_s16vector | ( |  | ) | const
| inlinevirtual

## ◆ is_s32vector()

virtual bool pmt::pmt_base::is_s32vector | ( |  | ) | const
| inlinevirtual

## ◆ is_s64vector()

virtual bool pmt::pmt_base::is_s64vector | ( |  | ) | const
| inlinevirtual

## ◆ is_s8vector()

virtual bool pmt::pmt_base::is_s8vector | ( |  | ) | const
| inlinevirtual

## ◆ is_symbol()

virtual bool pmt::pmt_base::is_symbol | ( |  | ) | const
| inlinevirtual

## ◆ is_tuple()

virtual bool pmt::pmt_base::is_tuple | ( |  | ) | const
| inlinevirtual

## ◆ is_u16vector()

virtual bool pmt::pmt_base::is_u16vector | ( |  | ) | const
| inlinevirtual

## ◆ is_u32vector()

virtual bool pmt::pmt_base::is_u32vector | ( |  | ) | const
| inlinevirtual

## ◆ is_u64vector()

virtual bool pmt::pmt_base::is_u64vector | ( |  | ) | const
| inlinevirtual

## ◆ is_u8vector()

virtual bool pmt::pmt_base::is_u8vector | ( |  | ) | const
| inlinevirtual

## ◆ is_uint64()

virtual bool pmt::pmt_base::is_uint64 | ( |  | ) | const
| inlinevirtual

## ◆ is_uniform_vector()

virtual bool pmt::pmt_base::is_uniform_vector | ( |  | ) | const
| inlinevirtual

## ◆ is_vector()

virtual bool pmt::pmt_base::is_vector | ( |  | ) | const
| inlinevirtual

The documentation for this class was generated from the following file:

- pmt.h